kernel-switcher error [Solved]

If you are new to Linux or new to Sabayon Linux and just not sure where to post, here ya go. Post without fear of being told to RTFM :-)

Moderator: Moderators

kernel-switcher error [Solved]

Postby groot2357 » Sun Mar 03, 2013 6:55

Well, looked around but couldn't find an info on an error like this. Tried to upgrade to kernel 3.8 using
kernel-switcher.

Code: Select all
porter campbell # uname -a
Linux porter.localdomain 3.7.0-sabayon #1 SMP Wed Jan 23 20:51:11 UTC 2013 x86_64 AMD Phenom(tm) II X6 1100T Processor AuthenticAMD GNU/Linux

porter campbell # kernel-switcher switch linux-sabayon-3.8
Traceback (most recent call last):
  File "/usr/bin/kernel-switcher", line 349, in <module>
    rc = nsargs.func(nsargs)
  File "/usr/bin/kernel-switcher", line 241, in _switch_kernel
    False, 1, [], package_matches=list(matches))
TypeError: _install_action() takes at least 17 arguments (17 given)


Edited by forum moderator to remove upper case in thread subject, as it is against forum guidelines. Please do not use caps, it is analogous to shouting and is not considered to be appropriate nettiquete.
Last edited by groot2357 on Sun Mar 03, 2013 20:26, edited 1 time in total.
groot2357
Baby Hen
 
Posts: 8
Joined: Sun Jan 20, 2013 5:17

Re: kernel-switcher error

Postby linuxfluesterer » Sun Mar 03, 2013 12:19

Hmmm....
Maybe I can help you upgrade to Kernel 3.8 another way.
I use Sabayon-Weekly repo usually starting with SL 10 KDE 4.9.5 latest upgrade and Kernel 3.7.
But to upgrade to Kernel 3.8 I have activated Sabayon-Limbo and updated all my repos (Weekly and Limbo).
Only update repos, there were shown more than 290 packages marked for upgrading the system.
But I did not upgrade the system!
Now I could install:
- the new Kernel 3.8
- the necessary nvidia-drivers
- the necessary intel(vga)-drivers (2.21.3)
- the necessary 3.8 modules for VirtualBox + guest additions

After installing, I did a reboot and there was Kernel 3.8 as default in Grub2 menue.
Then I deactivated Sabayon-Limbo repo in Rigo again.
There is only one update message I receive, that is, Rigo wants to install older intel-driver again (2.21.0)
But I ignore it.
My system is running fine. A check with:
Code: Select all
equo query -vq installed linux-sabayon
>>  @@ Ressourcen freigegeben, los geht's!
sys-kernel/linux-sabayon-3.5-r7
sys-kernel/linux-sabayon-3.7.4
sys-kernel/linux-sabayon-3.8
proofs it.

Hope to help you this way...

-Linuxfluesterer (I love KDE ...)
I really hope, that by the Brexit (poor Britain), TTIP will be finally prevented. But don't get tired to talk to your local politician to open eyes for danger to democracy because of TTIP
User avatar
linuxfluesterer
Old Dear Hen
 
Posts: 704
Joined: Thu Sep 20, 2012 19:47
Location: Germany


Re: kernel-switcher error

Postby Matte88 » Sun Mar 03, 2013 13:47

groot2357 wrote:Well, looked around but couldn't find an info on an error like this. Tried to upgrade to kernel 3.8 using
kernel-switcher.

Code: Select all
porter campbell # uname -a
Linux porter.localdomain 3.7.0-sabayon #1 SMP Wed Jan 23 20:51:11 UTC 2013 x86_64 AMD Phenom(tm) II X6 1100T Processor AuthenticAMD GNU/Linux

porter campbell # kernel-switcher switch linux-sabayon-3.8
Traceback (most recent call last):
  File "/usr/bin/kernel-switcher", line 349, in <module>
    rc = nsargs.func(nsargs)
  File "/usr/bin/kernel-switcher", line 241, in _switch_kernel
    False, 1, [], package_matches=list(matches))
TypeError: _install_action() takes at least 17 arguments (17 given)
I think your is a python problem! :shock: Try reinstalling kernel-switcher
Image
When I became the sun,
I shone life into the man's hearts.
Matte88
Technological Hen
 
Posts: 399
Joined: Wed Dec 29, 2010 14:37
Location: @/etc/entropy/repositories.conf.d/entropy_sabayon-limbo

Re: kernel-switcher error

Postby sabayonino » Sun Mar 03, 2013 14:17

Matte88 wrote:
groot2357 wrote:Well, looked around but couldn't find an info on an error like this. Tried to upgrade to kernel 3.8 using
kernel-switcher.

Code: Select all
porter campbell # uname -a
Linux porter.localdomain 3.7.0-sabayon #1 SMP Wed Jan 23 20:51:11 UTC 2013 x86_64 AMD Phenom(tm) II X6 1100T Processor AuthenticAMD GNU/Linux

porter campbell # kernel-switcher switch linux-sabayon-3.8
Traceback (most recent call last):
  File "/usr/bin/kernel-switcher", line 349, in <module>
    rc = nsargs.func(nsargs)
  File "/usr/bin/kernel-switcher", line 241, in _switch_kernel
    False, 1, [], package_matches=list(matches))
TypeError: _install_action() takes at least 17 arguments (17 given)
I think your is a python problem! :shock: Try reinstalling kernel-switcher


kernel-switcher is part of equo :roll:
User avatar
sabayonino
Sagely Hen
 
Posts: 2537
Joined: Sun Sep 21, 2008 1:12
Location: Italy

Re: kernel-switcher error

Postby Matte88 » Sun Mar 03, 2013 15:49

sabayonino wrote:
Matte88 wrote:
groot2357 wrote:Well, looked around but couldn't find an info on an error like this. Tried to upgrade to kernel 3.8 using
kernel-switcher.

Code: Select all
porter campbell # uname -a
Linux porter.localdomain 3.7.0-sabayon #1 SMP Wed Jan 23 20:51:11 UTC 2013 x86_64 AMD Phenom(tm) II X6 1100T Processor AuthenticAMD GNU/Linux

porter campbell # kernel-switcher switch linux-sabayon-3.8
Traceback (most recent call last):
  File "/usr/bin/kernel-switcher", line 349, in <module>
    rc = nsargs.func(nsargs)
  File "/usr/bin/kernel-switcher", line 241, in _switch_kernel
    False, 1, [], package_matches=list(matches))
TypeError: _install_action() takes at least 17 arguments (17 given)
I think your is a python problem! :shock: Try reinstalling kernel-switcher


kernel-switcher is part of equo :roll:
So... Reinstalling pyhton or Entropy could fix the problem?
Image
When I became the sun,
I shone life into the man's hearts.
Matte88
Technological Hen
 
Posts: 399
Joined: Wed Dec 29, 2010 14:37
Location: @/etc/entropy/repositories.conf.d/entropy_sabayon-limbo

Re: kernel-switcher error [Solved]

Postby groot2357 » Sun Mar 03, 2013 20:29

the problem was equo!!! I had enabled limbo repository and upgraded to equo 180. Some is wrong with kernel-switcher in equo 180. Before downgrading, I did try to re-install python and equo 180...............it didn't fix the problem. After downgrading to equo 175, kernel switcher works and I was able to install kernel 3.8.

Thanks for all of the replies.
groot2357
Baby Hen
 
Posts: 8
Joined: Sun Jan 20, 2013 5:17

Re: kernel-switcher error [Solved]

Postby Matte88 » Mon Mar 04, 2013 0:04

Maybe you should send a bug report?!?
Image
When I became the sun,
I shone life into the man's hearts.
Matte88
Technological Hen
 
Posts: 399
Joined: Wed Dec 29, 2010 14:37
Location: @/etc/entropy/repositories.conf.d/entropy_sabayon-limbo


Return to Beginners|Newbies Area

Who is online

Users browsing this forum: No registered users and 1 guest

cron